libzypp 17.37.10

ZConfig.cc File Reference
`#include <features.h>`
`#include <sys/utsname.h>`
`#include <unistd.h>`
`#include <solv/solvversion.h>`
`#include <iostream>`
`#include <fstream>`
`#include <optional>`
`#include <zypp-core/APIConfig.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/IOStream.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Regex.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp-core/parser/IniDict>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp-media/MediaConfig>`

Go to the source code of this file.

## Classes
struct | zypp::Option< Tp >
| Mutable option. More...
struct | zypp::DefaultOption< Tp >
| Mutable option with initial value also remembering a config value. More...
class | zypp::ZConfig::Impl
| ZConfig implementation. More...
struct | zypp::ZConfig::Impl::TargetDefaults
| Settings that follow a changed Target. More...
struct | zypp::ZConfig::Impl::MultiversionMap

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zconfig"

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zconfig"

Definition at line 47 of file ZConfig.cc.